Bug 177594 - ohci_hcd driver hangs with usbserial and EVDO wireless card
ohci_hcd driver hangs with usbserial and EVDO wireless card
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-11 20:15 EST by james
Modified: 2008-01-19 23:40 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:40:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description james 2006-01-11 20:15:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
The Kyocera "Passport 1xEV-DO PC Card" KPC650, which uses the Qualcomm MSM6500 and some NEC USB to PCCard chip, plugged into a Ricoh RL5c475 chipped CardBus to PCI bridge card, ohci_hcd driver module appears to hang after downloading around a megabyte of data at average EVDO speeds above 400kbps.  The upload data path never seems to hang, but it also runs at a lower maximum speed.  Packets can go out, but no packets can come in.

Removing and re-installing the ohci_hcd driver module restores normal operation.


Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1653_FC4

How reproducible:
Always

Steps to Reproduce:
1. install any variation of the usbserial driver module.
2. establish ppp connection.
3. wget some multi-megabyte file.


Actual Results:  download will hang after about 700-1000kB.

Additional info:

With usbserial debugging turned on, packets can be seen to still arrive at the usbserial driver module, but nothing comes out of the ppp interface.  Only uninstalling and re-installing the ohci_hcd driver module will restore operation.
Comment 2 Dave Jones 2006-02-03 00:45:48 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 3 james 2006-02-03 00:53:03 EST
This problem has already been confirmed to exist with the 2.6.15 kernel.  Same
problem, as above.
Comment 4 Russell Harrison 2006-08-20 20:55:44 EDT
This sounds very related to the problem discused at:
http://www.linuxquestions.org/questions/showthread.php?t=300962

and the resulting patch at:
http://www.junxion.com/opensource/linux_highspeed_usbserial.html

Am I correct that the problems are one and the same?  Also, I'm seeing the issue
in FC5.
Comment 5 james 2006-08-21 09:51:33 EDT
Thanks for taking a look.  Yes, we tried that patch, but no joy.  Mind you,
there are serveral considerations, and I cannot say that this is the wrong approach:

1) We tried patching linux-2.6.14, while, I'm guessing, the patch was written
for some earlier kernel.  In particular, the patched line
 "buffer_size = le16_to_cpu(endpoint->wMaxPacketSize);"
which appears exactly once in the patch, is seen _four_ times in the 2.6.14
usb-serial.c driver.  So maybe there are some other complexities or interactions
to consider.

2) The usb-serial.c driver module authors - apparently - do not believe that
this patch, or this issue is credible - I infer - simply because there has been
no incorporation of this patch into the code.

3) I worked on this project, now, eight months ago, and I no longer have access
to the hardware.  Still, I have gotten one email from someone having similar
problems, but with a usb cable connected device - I don't know what device -
rather than a pcmcia connected usb device, as is the case with the KPC650.  This
suggests to me that this is a real usb problem.

It would be nice if one of the module authors, which today I suppose means
either Peter Berger (pberger@brimson.com) or Al Borchers
(borchers@steinerpoint.com), would respond to this issue overtly, one way or the
other.
Comment 6 james 2006-08-21 10:15:09 EDT
BTW, again, we noticed that it was removing and re-installing the ohci_hcd
driver module, _not_ the usbserial driver module, which restored normal
operation.  So it may well be that this is a problem in the ohci_hcd driver
module in one of the drivers/usb/hosts/ohci-* files, and not with usb-serial.c
at all - something to figure out.  Also, the laptop into which we plugged the
KPC650 happened to use the _ohci_hcd_ driver, and not the uhci_hcd or ehci_hcd
driver modules, and we haven't tested with the other usb host drivers.  Maybe
this problem is unique to the ohci_hcd driver - don't know.

Still, the fact that, when the problem occurs, packets can be seen to continue
going _into_ usbserial driver, but then apparently not come out of the driver,
not coming out the ppp interface, would seem to suggest the usbserial driver as
the source of the problem.
Comment 7 Dave Jones 2006-09-16 22:31:25 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 8 Russell Harrison 2006-09-18 16:36:00 EDT
This issue does exist in FC5.  See the above comment.
Comment 9 Dave Jones 2006-10-16 14:43:36 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 10 Jon Stanley 2008-01-19 23:40:22 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.